import { ElementRef, EventEmitter } from '@angular/core';
import { ThemeService } from 'neercms/services/theme';
import { Variant } from 'neercms/services/viewport';
import * as i0 from "@angular/core";
export declare class ButtonComponent {
    private readonly currentElementRef;
    private readonly theme;
    get class(): string;
    variant: Variant;
    icon: string;
    disabled: boolean;
    onclick: EventEmitter<MouseEvent>;
    constructor(currentElementRef: ElementRef, theme: ThemeService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "button[ncButton]", never, { "variant": "variant"; "icon": "icon"; "disabled": "disabled"; }, { "onclick": "onclick"; }, never, ["*"], false>;
}
