import { AfterViewInit, ElementRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import { DateTimeMode, PickrMode } from 'neercms/form/types';
import { DateTime } from 'luxon';
import * as i0 from "@angular/core";
declare type NullableDateTime = DateTime | null;
export declare class DatePickerComponent implements AfterViewInit {
    private currentElement;
    date: FormControl<NullableDateTime>;
    dateTo?: FormControl<NullableDateTime>;
    datePickerMode: DateTimeMode;
    private enableDate;
    private enableTime;
    private picker;
    private internalDate?;
    private internalDateTo?;
    constructor(currentElement: ElementRef);
    ngAfterViewInit(): void;
    onDateChange(event: Date[]): void;
    get pickerMode(): PickrMode;
    private setDate;
    private setDateTo;
    private formDate;
    private formDateTo;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatePickerComponent, "input[ncDatePicker]", never, { "date": "date"; "dateTo": "dateTo"; "datePickerMode": "datePickerMode"; }, {}, never, never, false>;
}
export {};
