import { BehaviorSubject } from 'rxjs';
import { IModalHandlers, IModalInfo } from './types';
import * as i0 from "@angular/core";
export declare class ModalsService {
    current: BehaviorSubject<IModalInfo>;
    showConfirmDelete(handlers: IModalHandlers): void;
    showConfirmBan(modelName: string, handlers: IModalHandlers): void;
    showConfirmLiftBan(modelName: string, handlers: IModalHandlers): void;
    showConfirmPublish(modelName: string, handlers: IModalHandlers): void;
    private showModal;
    private deleteModal;
    private banModal;
    private liftBanModal;
    private publishModal;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalsService>;
}
