import { OnInit, TemplateRef } from '@angular/core';
import { TabsComponent } from '../tabs/tabs.component';
import { ITabContext, TabKey } from '../types';
import * as i0 from "@angular/core";
export declare class TabComponent implements OnInit {
    title: string;
    active: boolean;
    isCloseable: boolean;
    key: TabKey;
    template: TemplateRef<any>;
    data: any;
    tabs: TabsComponent;
    context: ITabContext;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "nc-tab", never, { "title": "tabTitle"; "active": "active"; "isCloseable": "isCloseable"; "key": "key"; "template": "template"; "data": "data"; "tabs": "tabs"; }, {}, never, ["*"], false>;
}
