import { AfterContentInit, QueryList, ViewContainerRef } from '@angular/core';
import { TabTemplateDirective } from '../tab-template.directive';
import { TabComponent } from '../tab/tab.component';
import { TabKey } from '../types';
import * as i0 from "@angular/core";
export declare class TabsComponent implements AfterContentInit {
    templates: QueryList<TabTemplateDirective>;
    tabs: QueryList<TabComponent>;
    dynamicTabsContainer: ViewContainerRef;
    dynamicTabs: TabComponent[];
    openedTabKeys: TabKey[];
    ngAfterContentInit(): void;
    selectTab(tab: TabComponent): void;
    openDefaultTab(key: TabKey, title: string, data: any, isCloseable?: boolean): void;
    openTab(key: TabKey, title: string, templateName: string, data: any, isCloseable?: boolean): void;
    closeTab(tab: TabComponent): void;
    closeAllTabs(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "nc-tabs", never, {}, {}, ["templates", "tabs"], never, false>;
}
