import { OnInit } from '@angular/core';
import { FormControl, FormGroupDirective } from '@angular/forms';
import * as i0 from "@angular/core";
export declare abstract class InputBaseComponent implements OnInit {
    protected formGroup: FormGroupDirective;
    controlName: string;
    required: boolean;
    errors: {
        required: string;
        invalidEmail: string;
        invalidPassword: string;
    };
    formControl: FormControl;
    changed: boolean;
    focused: boolean;
    protected constructor(formGroup: FormGroupDirective);
    ngOnInit(): void;
    onChange(event?: Event): void;
    afterInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputBaseComponent, "input-base", never, { "controlName": "controlName"; "required": "required"; }, {}, never, never, false>;
}
