import { FormControl } from '@angular/forms';
import { Router } from '@angular/router';
import { BoolInput } from 'neercms/shared/types';
import { FieldBaseComponent } from '../field-base.component';
import * as i0 from "@angular/core";
export declare type LinkTarget = '' | '_self' | '_blank';
export declare class LinkFieldComponent extends FieldBaseComponent {
    private readonly router;
    linkControlName: string;
    target: LinkTarget;
    external: BoolInput;
    linkControl: FormControl;
    constructor(router: Router);
    afterInit(): void;
    onRedirect(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkFieldComponent, "nc-link-field", never, { "linkControlName": "linkControlName"; "target": "target"; "external": "external"; }, {}, never, never, false>;
}
