import { EventEmitter, OnChanges, SimpleChange } from '@angular/core';
import { ISelectOption } from 'neercms/form/types';
import { FieldBaseComponent, FormBaseChanges } from '../field-base.component';
import * as i0 from "@angular/core";
declare type SelectFieldChanges = FormBaseChanges & {
    options: SimpleChange;
};
export declare class SelectFieldComponent extends FieldBaseComponent implements OnChanges {
    private static notSelectedOption;
    options: ISelectOption[];
    selected: ISelectOption;
    selectedChange: EventEmitter<ISelectOption>;
    ngOnChanges(changes: SelectFieldChanges): void;
    afterInit(): void;
    onOptionSelect(option: ISelectOption): void;
    private getOptionByFormValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectFieldComponent, "nc-select-field", never, { "options": "options"; "selected": "selected"; }, { "selectedChange": "selectedChange"; }, never, never, false>;
}
export {};
