export declare abstract class StorageBase<TKey extends string = string> {
    protected getItem(key: TKey): string | null;
    protected setItem(key: TKey, value: string | null): void;
    protected setJsonItem(key: TKey, jsonKey: string, value: any | null): void;
    protected getJsonItem(key: TKey, jsonKey: string): any | null;
}
