export interface IDictionary<T> {
    [id: string]: T;
}
export declare type BoolInput = boolean | 'true' | 'false';
export declare type RGB = `rgb(${number}, ${number}, ${number})`;
export declare type RGBA = `rgba(${number}, ${number}, ${number}, ${number})`;
export declare type HEX = `#${string}`;
export declare type color = RGB | RGBA | HEX;
