import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { NeerStorageService } from 'neercms/services/storage';
import { ColumnInfo, ColumnsChanges } from 'neercms/table/types';
import * as i0 from "@angular/core";
export declare class ColumnChooserComponent implements OnInit, OnChanges {
    private storage;
    columns: ColumnInfo[];
    sequenceName: string;
    sequence: string[];
    columnsChange: EventEmitter<ColumnInfo[]>;
    sequenceChange: EventEmitter<string[]>;
    optionColumns: ColumnInfo[];
    constructor(storage: NeerStorageService);
    ngOnInit(): void;
    ngOnChanges(changes: ColumnsChanges): void;
    onOptionChange(column: ColumnInfo, event: Event): void;
    private updateChooserOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnChooserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnChooserComponent, "nc-column-chooser", never, { "columns": "columns"; "sequenceName": "sequenceName"; "sequence": "sequence"; }, { "columnsChange": "columnsChange"; "sequenceChange": "sequenceChange"; }, never, never, false>;
}
