export declare enum Operator {
    Equals = "==",
    EqualsIns = "==*",
    NotEquals = "!=",
    NotEqualsIns = "!=*",
    GreaterThen = ">",
    LessThen = "<",
    GreaterOrEquals = ">=",
    LessOrEquals = "<=",
    Contains = "@=",
    ContainsIns = "@=*",
    NotContains = "!@=",
    NotContainsIns = "!@=*",
    StartsWith = "_=",
    StartsWithIns = "_=*",
    NotStartsWith = "!_=",
    NotStartsWithIns = "!_=*",
    EndsWith = "_-=",
    EndsWithIns = "_-=*",
    NotEndsWith = "!_-=",
    NotEndsWithIns = "!_-=*"
}
export declare const textOperators: [Operator, string][];
export declare const numberOperators: [Operator, string][];
export declare const defaultTextOperator: Operator;
export declare const defaultNumberOperator: Operator;
